Name:           python-feature-engine
Version:        1.8.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Feature engineering and selection package with Scikit-learn's fit transform functionality

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/feature-engine/feature_engine
Source:         %{pypi_source feature_engine}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'feature-engine' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-feature-engine
Summary:        %{summary}

%description -n python3-feature-engine %_description


%prep
%autosetup -p1 -n feature_engine-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-feature-engine -f %{pyproject_files}


%changelog
%autochangelog